> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List prompt templates

> 
Retrieve all prompt templates in a project. Use to discover available templates or build template management UIs.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/prompt-templates
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-templates:
    get:
      tags:
        - Prompt Templates
      summary: List prompt templates
      description: >-

        Retrieve all prompt templates in a project. Use to discover available
        templates or build template management UIs.


        `page_size` defaults to 30, maximum 100.
      operationId: get_list_prompt_templates
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/PromptTemplateInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: PromptTemplateListResponse
                type: object
          description: >-
            PromptTemplateListResponse(data:
            list[server.api_routes.prompt_templates_api_v2.PromptTemplateInfo],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    PromptTemplateInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        latest_template_version_id:
          default: null
          title: Latest Template Version Id
          format: uuid
          type:
            - string
            - 'null'
      required:
        - id
        - name
      title: PromptTemplateInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````